﻿
using System;
using Wisej.Web;

namespace Wisej.ServerEvents
{
    public partial class Window1 : Form
    {
        public Window1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            progressBar1.Minimum = 0;
            progressBar1.Maximum = 10;
            progressBar1.Value = 1;

            timer1.Interval = 100;
            timer1.Start();
        }

        private void button2_Click(object sender, EventArgs e)
        {
            timer1.Stop();
            textBox1.Text = "";
        }

        private void timer1_Tick(object sender, EventArgs e)
        {
            if (progressBar1.Value == progressBar1.Maximum)
            {
                progressBar1.Value = progressBar1.Minimum;
                textBox1.Text = "Current time is... " + DateTime.Now.ToLongTimeString();
                if (DateTime.Now.Second % 2 == 0)
                    AlertBox.Show("Server notification at " + DateTime.Now.ToLongTimeString(), autoCloseDelay:3000);
            }
            else
            {
                progressBar1.Value++;
            }
        }
    }
}
